| Home | Libraries | People | FAQ | More

##### url_view::port_number

Return the port.

###### Synopsis

    std::uint16_t
    port_number() const;

###### Description

If a port is present and the numerical value is representable, it is returned as an unsigned integer. Otherwise, the number zero is returned.

###### Example

    assert( url_view( "http://localhost.com:8080" ).port_number() == 8080 );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    port        = *DIGIT

###### Specification

- 3.2.3. Port (rfc3986)

###### See Also

`encoded_host_and_port`, `has_port`, `port`.